<?
include_once("mysql.php");
include_once("inclydings/antixak.php");
include_once("inclydings/zag.php");
include_once("inclydings/ini.php");
include 'inclydings/sesi.php';
if (isset($user)) {
switch($go) {
default:
echo"<b>Общая комната Кланов</b><br/>";
if(@file("local/enterklan/$num.dat")){
$file = @file("local/enterklan/$nam.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){
$file = @file("local/enterklan/$nam.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);
$id=$total-$i-1;
$data[1]=trim($data[1]);
$data[2]=trim($data[2]);
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\"><font color=lime>$data[1]</font></a>($data[3]) - $data[2]<br/>";}else{
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\"><font color=blue>$data[1]</font></a>($data[3]) - $data[2]<br/>";}else{
if(@file("L2dbnam/esql2db/rating/olimpiads/$data[1].dat")){
echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\"><font color=#C71585>$data[1]</font></a>($data[3]) - $data[2]<br/>";}else{
echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\">$data[1]</a>($data[3]) - $data[2]<br/>";}}}
}
if($total=="0"){echo"Сообщений нет.";}
}else{echo"Сообщений нет.";}
if ($start != 0) {echo '<br/><a href="enterklan.php?start='.($start - 5).'&'.$sd.'&go=list&nam='.$nam.'">Назад</a> ';}
if ($total > $start + 5) {echo ' <br/><a href="enterklan.php?start='.($start + 5).'&'.$sd.'&go=list&nam='.$num.'">Далее</a>';}
echo"<br/><a href=\"enterklan.php?$sd&go=add&nam=$nam\">Подать заявку</a><br/>";
break;
case 'komentadd':
if(empty($msg)){echo"<b>Не введено сообщение.</b><br/><a href=\"enterklan.php?$sd&nam=$nam\">Назад</a>"; include 'inclydings/down.php'; exit;}
$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($elita)==1){
$msg="<font color=red>$msg</font>";}
$text='|'.$log.'|'.$msg.'|'.date("H:i:s").'';
$fp=fopen("local/enterklan/$nam.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
echo"Сообщение отправлено!
<br/><a href=\"enterklan.php?$sd&nam=$nam\">Назад</a>";
break;
case 'add':
if($udata[9]<"10"){echo"Писать сообщения в разделе можно с 10 лвл."; include_once"inclydings/down.php"; exit;}
echo"Добавить сообщение<br/>";
echo'<form method="post" action="enterklan.php?'.$sd.'&go=komentadd&nam='.$nam.'">';
echo "<input name=\"msg\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
break;
}}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include 'inclydings/down.php';
?>



